For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI ReferenceWebhooksMethodsUI ComponentsMCP ServerChangelog
  • API Reference
      • POSTList Brands
      • GETGet Brand by ID
      • POSTCreate or Update a Brand
      • POSTSubmit Brand
      • POSTVet Brand
      • POSTAutofill Brand Information
      • POSTValidate Brand Information
LogoLogo
SupportDashboard
API ReferenceBrands

Get Brand by ID

GET
https://api.pinnacle.sh/brands/:id
GET
/brands/:id
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.brands.get("b_1234567890", {});
8}
9main();
1{
2 "createdAt": "2024-09-11T19:41:12.099",
3 "id": "b_1234567890",
4 "isArchived": false,
5 "lastTcrVettingDate": null,
6 "status": "VERIFIED",
7 "tcrFeedback": null,
8 "updatedAt": "2024-05-08T07:58:01.291",
9 "vettingHistory": [],
10 "address": "500 Folsom St, San Francisco, CA 94105",
11 "contact": {
12 "email": "michael.chen@trypinnacle.app",
13 "name": "Michael Chen",
14 "phone": "+14155551234",
15 "title": "Customer Support Representative"
16 },
17 "dba": "Pinnacle RCS",
18 "ein": "88-1234567",
19 "email": "founders@trypinnacle.app",
20 "entityType": "LLC",
21 "name": "Pinnacle",
22 "sector": "TECHNOLOGY",
23 "type": "PRIVATE_PROFIT",
24 "website": "https://www.pinnacle.sh"
25}
Retrieve detailed information for a specific brand in your account by ID.
Was this page helpful?
Previous

Create or Update a Brand

Next
Built with

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired

The unique identifier of the brand you want to retrieve from your account.

This identifier is a string that always begins with the prefix b_, for example: b_1234567890.

Query parameters

hideEINbooleanOptionalDefaults to false

Optional flag to mask the Employer Identification Number in the response for security purposes.

When you set this to true, the EIN value will be replaced with a masked placeholder instead of the actual number.

Response

Returns the brand.
createdAtstring
ISO 8601 formatted timestamp of when this brand was added to our system.
idstring

The brand’s ID. This identifier is a string that always begins with the prefix b_, for example: b_1234567890.

isArchivedboolean
Indicates if this brand is archived.
lastTcrVettingDatestring or null
ISO 8601 formatted timestamp of the last TCR vetting.
statusenum

Current review status of the brand.

INCOMPLETE: Not submitted.

IN REVIEW: Being reviewed by carriers.

VERIFIED: Approved and ready to send messages.

FAILED: Issues and errors related to the campaign’s details.

VETTED: Has undergone additional vetting by a third party service post the brand being verified. Your brand will be assigned a trust score, with higher trust scores having higher message volumes.

UNVERIFIED: Brand details have been updated, and the brand will need to undergo re-verification.

tcrFeedbacklist of objects or null
Feedback from The Campaign Registry if TCR vetting was performed.
updatedAtstring
ISO 8601 formatted timestamp of when this brand was last updated.
vettingHistorylist of objects
History of all external vetting attempts for this brand.
addressstring
Primary brand address where this brand is located.
contactobject
Contact information for the primary brand representative.
dbastring or null

“Doing Business As” name - the public name this brand operates under.

descriptionstring
Brief description of what this brand does.
einstring

Employer Identification Number (EIN) assigned by the IRS.

emailstring
Main contact email address for this brand.
entityTypeenum
Legal entity type of the brand.
Allowed values:
namestring
Legal name of the brand as registered.
sectorenum
Industry the Brand operates in.
typeenum
Legal structure of the brand.
Allowed values:
websitestring
Brand website URL.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error